Overview

What is Popup Watch?

Block and Suppress all pop-ups in Internet Explorer, Netscape or any other program with this Multi-Language configurable tool. This will help get prevent and Eliminate annoying pop-up windows from your Internet surfing.

Popup Watch, is a program for preventing and suppressing a variety of unwanted pop-up windows that can degrade the quality of your Web experience and surfing speed. This will make your Web browsing experience more satisfying. Features automatic and effective pop-up removal without any human intervention, It is light on your system's resource (requires almost no system resources) and resides in the system tray while running, so it won't slow your computer down, lets you play one of many sounds when a pop-up window is blocked (user configurable, and you can add your own sound files), user configurable block speed sensitivity, user configurable number of pop-up windows to allow (0 to unlimited), The program is set to run when you start Windows, but that option is user configurable and can be changed. You can even set it to prevent certain pop-ups that are under a certain size like the annoying small pop-up windows that appear, and then after a few seconds launch a new window, block pop-up browser windows that you can not see in your visible Desktop area. It is usually windows that possess the ability to stay hidden and start pop-up windows constantly or over a predefined period of time.

With this program you shall never see another unwanted pop-up ad again and in fact, your Internet experience will be faster because you won't be downloading all those unwanted pop-up ads!


Menu

Here is a short explanation about the properties of the buttons from the main program menu:

Main button - Launches the main options window.

Advanced Options button - Switches you over to the advanced options.

About button - Gives you information about the the product, the current version and our company.

Help button - Calls user's help document.


Main Window Options

Sound On/Off option - check this option if you would like to hear a sound every time a pop-up window has been blocked.

Note: You can choose the sound from the pull down selection box next to the "Sound On" option.

Start with windows startup option - You can choose this option if you want to have this program start automatically on windows start.

Browser option - Simply choose the browser you want to block pop-up ads in. If you are using a browser like Opera, AOL, Netcaptor, etc. or any other program that pops up windows, simply choose the "Other" option, and enter the browser name that appears on the browser window ex: Netcaptor.

Start/Stop status - This button will start or stop the pop-up window monitoring and blocking.

Language option - You can choose your language from a large set of languages from the pull down selection box.


Advanced Options

Here is a short description of the advanced options.

ONLY Stop Pop-up windows with size less than option - This option when checked will make the program only block pop-up browser windows that are smaller than the specified (by you or by default) browser window's Width and Height.

Only stop pop-ups that are positioned outside your desktop viewing area option - This option when checked will make this program block pop-up browser windows that you can not see in your visible Desktop area. It is usually windows that possess the ability to stay hidden and start pop-up windows constantly or over a predefined period of time.

Number of pop-ups to allow option - This option allows you to define a certain number of pop-up windows you would like to see. May be you want to have one pop-up window or 2, but not 100 ...

Block Speed Option
            • Low option-This option makes removing pop-up windows with a delay of 1 second. This option is good for windows that need to be pop-ed up so you would not get a loading page fault, and then the pop-up will be destroyed.
            • Medium option- This option makes removing pop-up windows with a delay of 1/2 second. This option is good for windows that need to be pop-ed up so you would not get a loading page fault, and then the pop-up will be destroyed
            • High option- Removes all pop-up windows instantly as they appear.

    Note: All you need is to set one option on this window "Block speed high", and this will remove all pop-up windows that appear inside or outside you desktop viewing area, and of any size.


System Tray Menu

Click with the right mouse button over the tray icon to see the menu, from where you can choose between the following commands:

Turn Monitor: On/Off - Click this option to turn the monitoring ON or OFF.

Sound: On/Off - Click this option to turn the Sound ON or OFF.

Block Speed: High - It states the speed of blocking popups windows.

Number of Popups to allow - Click this option to change the number of pop-up windows allowed.

Settings - Click this option to launch the settings window.

About - Click this option to see the about information window.

Help - Click this option to launch this help document.

Exit - Click this option to stop monitoring, and exit the program.


Language Module

Adding your own language modules

Step 1
Copy the "English.ini" file located in the installation folder/Lang, and name it with the name of the language you are making.

Example: Japanese.ini.
Note: Don't change the file extension, keep it as ".INI".

Step 2
Make an icon 16x16 pixels with the flag for your country language pack, and save it in bitmap format.

Example: Japanese.bmp

Note: It must have the same name as the language.ini file, and have the extension ".BMP"

Step 3
Edit the file with notepad or any text pad.

Example:

; Menu <--- This line is a comment since it starts with the ";"

4300=Main Menu
4301=Main
4302=Help
4303=Exit

The strings will be changed to your language

Example to change them to Italian:

;Menu

4300=Menu Principale
4301=conduttura
4302=aiuto
4303=uscita

Note : Make sure you don't change the line numbers, leave them in English, and keep the string length about the same if possible. You may test it out to see if it exceeds the button size etc..

Note: After saving the file, simply supply a 16 x 10 or 16x16 bitmap that represents country Flag.
Note: The flag image file, and the ini files, both must have the same name.

Example :
Japanese.ini
Japanese.bmp


Updating Popup Watch

When you purchase Pop-up Stop Block N' Kill, you are entitled to FREE updates and replacement downloads for one year from the date of purchase. Email your request to: update@BulletProofSoft.com.

Be sure to include the following information:

  • Full CORRECT software title you would like to update.
  • Your full name used when purchasing
  • Email address used when purchasing
  • Order/Invoice Number (if available)
  • Approx. date of purchase

    Without this information we cannot supply updates.


License Agreement

License Agreement and Disclaimer

PLEASE READ ALL TERMS AND CONDITIONS OF THE LICENSE AGREEMENT BEFORE CONTINUING. PRESSING THE ‘AGREE’ BUTTON INDICATES YOUR ACCEPTANCE OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS AND CONDITIONS, PRESS THE ‘CANCEL’ BUTTON TO EXIT INSTALLATION.

TRIAL LICENSE AGREEMENT

Bulletproof Soft Software, Inc. licenses the Popup Watch software to you only upon the condition that you accept all of the terms contained in this license agreement.

YOU MAY:

(i) use Popup Watch on one computer for each license purchased;

YOU MAY NOT:

(i) sublicense, rent, sell, or lease any portion of Popup Watch;

(ii) reverse engineer, decompile, disassemble, modify, translate, make any attempt to discover the source code of Popup Watch, or create derivative works from Popup Watch; or

(iii) use Popup Watch on a greater number of computers than the number of licenses of Popup Watch you have purchased.

WARRANTY

Bulletproof Soft Software, Inc. warrants that the Popup Watch will substantially perform its functions to remove certain information that is automatically stored on the hard drive of a computer, when Popup Watch is used correctly and in accordance with specifications and instructions.

Bulletproof Soft SOFTWARE, INC. MAKES NO OTHER WARRANTY, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.

Your sole and exclusive remedy for breach of this warranty is the replacement of the Popup Watch or a refund of the purchase price, at BulletProofSoft’s option.

Some states do not allow the limitation or exclusion of implied warranties and you may be entitled to additional rights in those states.

DISCLAIMER OF DAMAGES

Bulletproof Soft Software, Inc. has made every effort possible to ensure that Popup Watch is free of any bugs or errors, however in no way is Popup Watch to be considered error or bug free. You assume all responsibility for any damages or lost data that may result from any errors or bugs in Popup Watch.

IN NO EVENT WILL Bulletproof Soft SOFTWARE, INC. BE LIABLE TO YOU FOR ANY GENERAL, SPECIAL, INDIRECT, CONSEQUENTIAL, INCIDENTAL OR OTHER DAMAGES ARISING OUT OF THIS LICENSE.

In no case shall Bulletproof Soft Software, Inc.’s liability exceed the purchase price for the Popup Watch.

GENERAL:

This Agreement constitutes the entire agreement between you and Bulletproof Soft. You acknowledge and agree that there are no other writings, oral representations or other communications or representations upon which you are relying in entering into this Agreement. Any and all writings, oral representations or other communications or representations that you may have received concerning Popup Watch have no effect--it is the terms of this Agreement that will control all issues involving your use of Popup Watch.

All rights to Popup Watch are owned by Bulletproof Soft Software, Inc. and are protected by United States copyright laws, international treaty provisions and other applicable laws. Bulletproof Soft Software, Inc. retains all rights not expressly granted by this Agreement.

This license shall terminate automatically upon the violation by you of any of the terms stated herein.

This Agreement will be governed by the laws of the State of Massachusetts.

Should you have any questions concerning this Agreement, or if you desire to contact Bulletproof Soft Software, Inc. for any reason, please write: Bulletproof Soft Software Inc, P.O. Box 147, Lubbock, TX 79408.